Name:           hex-a-hop
Version:        1.1.0
Release:        6%{?dist}
Summary:        Puzzle game based on hexagonal tiles

License:        GPLv2+
URL:            https://sourceforge.net/projects/hexahop
Source0:        http://downloads.sourceforge.net/hexahop/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
# Man pages are available from the Debian package
Source2:        %{name}-man.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
BuildRequires:  SDL_mixer-devel
BuildRequires:  SDL_ttf-devel

Requires:       liberation-serif-fonts

%description
Hex-a-Hop is a hexagonal tile-based puzzle game with one simple goal:
destroy all green tiles! There are infinite undos and no time limits --
you just have to find a way to destroy all the green tiles and step on
a safe tile at the end.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
%make_install
mkdir -p %{buildroot}%{_datadir}/pixmaps/
convert data/icon.bmp %{buildroot}%{_datadir}/pixmaps/%{name}.png
rm -f %{buildroot}%{_datadir}/%{name}/font.ttf
ln -s %{_datadir}/fonts/liberation/LiberationSerif-Regular.ttf \
      %{buildroot}%{_datadir}/%{name}/font.ttf
desktop-file-install                                    \
--dir=%{buildroot}%{_datadir}/applications         \
%{SOURCE1}

mkdir -p %{buildroot}%{_mandir}
tar -xvzf %{SOURCE2} -C %{buildroot}%{_mandir}

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man6/%{name}.6.*

# Some of the sound files are licensed under CC Sampling Plus 1.0
%exclude %{_datadir}/%{name}/*nonfree*

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Jan 11 2014 Mario Blättermann <mario.blaettermann@gmail.com> - 1.1.0-4
- Fixed URL
- Added man pages from the Debian project
- Spec file cleanup

* Tue Jan 07 2014 Mario Blättermann <mario.blaettermann@gmail.com> - 1.1.0-3
- Removed nonfree sound files

* Sun Jan 05 2014 Mario Blättermann <mario.blaettermann@gmail.com> - 1.1.0-2
- Added *.desktop file and icon
- Removed bundled font

* Sat Jan 04 2014 Mario Blättermann <mario.blaettermann@gmail.com> - 1.1.0-1
- Initial build
